#
# spec file for package make (Version 3.80)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           make
URL:            http://www.gnu.org/software/make/make.html
License:        GPL
Group:          Development/Tools/Building
Provides:       gmake
PreReq:         %install_info_prereq
Autoreqprov:    on
Version:        3.80
Release:        202.2
Summary:        GNU make
Source:         make-3.80.tar.bz2
Patch0:         make-virtmem.diff
Patch1:         make-memory-hog-2.diff
Patch64:        make-library-search-path.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The GNU make command with extensive documentation.



Authors:
--------
    Richard Stallman
    Roland McGrath
    Paul Smith

%debug_package
%prep
%setup
%patch0
%patch1 -p1
if [ %_lib == lib64 ]; then
%patch64
fi

%build
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info
make
make check

%install
make DESTDIR=$RPM_BUILD_ROOT install
ln -s make $RPM_BUILD_ROOT/usr/bin/gmake

%files
%defattr(-,root,root)
/usr/bin/make
/usr/bin/gmake
/usr/share/locale/*/*/make.mo
%doc /usr/share/info/make.info-*.gz
%doc /usr/share/info/make.info.gz
%doc /usr/share/man/man1/make.1.gz

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%changelog -n make
* Wed Feb 01 2006 - kssingvo@suse.de
- fix for memory-hog.diff (bugzilla#147229)
* Wed Feb 01 2006 - kssingvo@suse.de
- disabled memory-hog.diff due to crashes (bugzilla#147229)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - aj@suse.de
- Reduce memory usage.
* Fri Jan 09 2004 - adrian@suse.de
- do not strip binaries during install
* Tue Sep 30 2003 - stepan@suse.de
- fix "virtual memory exhausted" bug (backport from mainline)
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Wed Apr 16 2003 - coolo@suse.de
- use BuildRoot
* Fri Feb 07 2003 - ro@suse.de
- added install_info macros
* Mon Dec 30 2002 - aj@suse.de
- Update to version 3.80:
- number of bug fixes
- new features as mentioned in the NEWS file:
  * New functions $(value ...), $(eval ...)
  * New feature: order-only prerequesites.
  * Argument to ifdef can now be a variable.
  * new option --always-make
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Thu May 23 2002 - meissner@suse.de
- Made %%_lib fix generic, do not use ifarch.
* Mon Apr 22 2002 - meissner@suse.de
- x86_64 needs /*/lib64 as search path too.
* Fri Apr 19 2002 - ke@suse.de
- Update German translation from
  http://www.iro.umontreal.ca/contrib/po/teams/PO/de/ [# 15851].
* Tue Dec 11 2001 - froh@suse.de
- s390x, sparc64 and ia64: extended the 'Dynamic Library Search'
  default path to search /lib64 and /usr/lib64 as well.
* Wed Nov 28 2001 - fehr@suse.de
- add mo-files for translations of messages
* Wed May 09 2001 - cstein@suse.de
- repacked source files with bzip2
* Fri Nov 17 2000 - fehr@suse.de
- set group tag
* Mon Jun 26 2000 - fehr@suse.de
- change to new version 3.79.1
* Wed Apr 19 2000 - fehr@suse.de
- change to new version 3.79
* Mon Feb 14 2000 - fehr@suse.de
- add compatibility link gmake -> make, needed for oracle install
* Thu Jan 20 2000 - fehr@suse.de
- security fix for files created in /tmp when using -j
* Mon Jan 17 2000 - schwab@suse.de
- Update to 3.78.1.
- Get rid of Makefile.Linux.
- Run testsuite.
* Fri Jan 14 2000 - schwab@suse.de
- Fix glob problem.
* Wed Oct 13 1999 - schwab@suse.de
- Fix file list.
- Add autoconf to needforbuild
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Feb 23 1999 - ro@suse.de
- updated to 3.77 using fixes by c. gafton
* Wed Sep 23 1998 - ro@suse.de
- downgrade to 3.76.1 (works at least)
* Tue Sep 22 1998 - ro@suse.de
- update to 3.77
* Thu Oct 09 1997 - florian@suse.de
- prepare for autobuild
  Mon Sep  2 02:48:35 MET DST 1996
  update to version 3.75
